summaryrefslogtreecommitdiff
path: root/oe-init-build-env
diff options
context:
space:
mode:
Diffstat (limited to 'oe-init-build-env')
-rwxr-xr-xoe-init-build-env77
1 files changed, 77 insertions, 0 deletions
diff --git a/oe-init-build-env b/oe-init-build-env
new file mode 100755
index 0000000..525c23f
--- /dev/null
+++ b/oe-init-build-env
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# OE Build Environment Setup Script
+#
+# Copyright (C) 2006-2011 Linux Foundation
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+#
+# Normally this is called as '. ./oe-init-build-env'
+#
+
+if [ -n "$BASH_SOURCE" ]; then
+ THIS_SCRIPT=$BASH_SOURCE
+elif [ -n "$ZSH_NAME" ]; then
+ THIS_SCRIPT=$0
+else
+ THIS_SCRIPT="$(pwd)/oe-init-build-env"
+fi
+if [ -n "$BBSERVER" ]; then
+ unset BBSERVER
+fi
+
+if [ -z "$ZSH_NAME" ] && [ "$0" = "$THIS_SCRIPT" ]; then
+ echo "Error: This script needs to be sourced. Please run as '. $THIS_SCRIPT'"
+ exit 1
+fi
+
+if [ -z "$OEROOT" ]; then
+ OEROOT=$(dirname "$THIS_SCRIPT")
+ OEROOT=$(readlink -f "$OEROOT")
+fi
+unset THIS_SCRIPT
+
+export OEROOT
+. $OEROOT/scripts/oe-buildenv-internal &&
+ TEMPLATECONF="$TEMPLATECONF" $OEROOT/scripts/oe-setup-builddir || {
+ unset OEROOT
+ return 1
+}
+
+# Shutdown any bitbake server if the BBSERVER variable is not set
+if [ -z "$BBSERVER" ] && [ -f $OEROOT/bitbake.lock ]; then
+ grep ":" $OEROOT/bitbake.lock > /dev/null && BBSERVER=$(cat $OEROOT/bitbake.lock) bitbake --status-only
+ if [ $? = 0 ]; then
+ echo "Shutting down bitbake memory resident server with bitbake -m"
+ BBSERVER=$(cat $OEROOT/bitbake.lock) bitbake -m
+ fi
+fi
+
+export BBPATH="$OEROOT"
+
+# define if you wish to create soft links to the image in the tftpboot dir
+#export TFTPBOOT_DIR=/tftpboot
+
+declare -a WlAdditions=("OEROOT")
+
+for entry in ${WlAdditions[@]}; do
+ if [ "$(echo "$BB_ENV_EXTRAWHITE" | sed -re 's/[ \t]+/\n/g' | egrep ''^$entry'')" != "$entry" ] ; then
+ echo $BB_ENV_EXTRAWHITE needs correction
+ BB_ENV_EXTRAWHITE="$BB_ENV_EXTRAWHITE $entry"
+ export BB_ENV_EXTRAWHITE
+ fi
+done
+